Index: extensions/sobre/trunk/CSS3.css
===================================================================
--- extensions/sobre/trunk/CSS3.css	(revision 10318)
+++ extensions/sobre/trunk/CSS3.css	(revision 10318)
@@ -0,0 +1,50 @@
+/* Déclaration des fonts (polices) */
+@font-face {
+  font-family: 'Slider-com'; 
+  src: url('./fonts/Slider-com.ttf');
+}
+@font-face {
+  font-family: 'Title-cat';
+  src: url('./fonts/Title-Cat.ttf');
+}
+@font-face {
+  font-family: 'thumb-t';
+  src: url('./fonts/thumb-t.ttf');
+}
+@font-face {
+  font-family: 'Compteur';
+  src: url('./fonts/Compteur.ttf');
+}
+@font-face {
+  font-family: 'Newser';
+  src: url('./fonts/Newser.ttf');
+}
+@font-face { 
+  font-family: 'Mon-menu'; 
+  src: url('./fonts/menubar.ttf');
+}
+
+.content div.thumbnailCategory div.description h3 {
+  font-family: Title-cat !important;
+  font-size: 2.2em;
+  font-weight: normal;
+}
+.content div.thumbnailCategory div.description div.text p {
+  font-family: thumb-t !important;
+  font-size: 2em;
+}
+.content div.thumbnailCategory div.description div.text p.Nb_images {
+font-family:Compteur !important;
+margin:0 10px;
+font-size:1em;
+}
+#stuffs_block_1, #stuffs_block_9 {
+font-family:Newser !important;
+font-size:2.5em;
+}
+#menubar dt {
+font-family:Mon-menu !important;
+font-size:18px;
+font-style:italic;
+font-weight:lighter;
+}
Index: extensions/sobre/trunk/admin/admin.css
===================================================================
--- extensions/sobre/trunk/admin/admin.css	(revision 10318)
+++ extensions/sobre/trunk/admin/admin.css	(revision 10318)
@@ -0,0 +1,8 @@
+#configContent FIELDSET {border:2px solid #777;}
+#configContent FIELDSET SELECT{margin-left:2.6%;}
+table#tips {border:1px solid;}
+table#tips .tn_dimensions {padding-right: 5px; text-align: right; font-weight:bold;}
+table#tips td.tn_width, table#tips td.tn_height {text-align:center;}
+table#tips tr#l1 {font-style:italic;}
+table#troncate {border:1px solid;}
+table#troncate {font-weight:bold;}
Index: extensions/sobre/trunk/admin/admin.inc.php
===================================================================
--- extensions/sobre/trunk/admin/admin.inc.php	(revision 10318)
+++ extensions/sobre/trunk/admin/admin.inc.php	(revision 10318)
@@ -0,0 +1,39 @@
+<?php
+
+load_language('theme.lang', PHPWG_THEMES_PATH.'urbex/');
+
+$options = array(
+  'home',
+  'categories',
+  'picture',
+  'other',
+);
+
+if (isset($_POST['submit']))
+{
+  foreach ($options as $option)
+  {
+    $_POST['urbx'][$option] = empty($_POST['urbx'][$option]) ? false : true;
+  }
+
+  $query = '
+UPDATE '.CONFIG_TABLE.'
+SET value = "'.addslashes(serialize($_POST['urbx'])).'"
+WHERE param = "Urbex"
+;';
+  pwg_query($query);
+
+  array_push($page['infos'], l10n('Information data registered in database'));
+
+  load_conf_from_db();
+}
+
+$template->set_filenames(array(
+    'theme_admin_content' => dirname(__FILE__) . '/admin.tpl'));
+
+$template->assign('urbx', unserialize($conf['Urbex']));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'theme_admin_content');
+
+
+?>
Index: extensions/sobre/trunk/admin/admin.tpl
===================================================================
--- extensions/sobre/trunk/admin/admin.tpl	(revision 10318)
+++ extensions/sobre/trunk/admin/admin.tpl	(revision 10318)
@@ -0,0 +1,30 @@
+<div class="titrePage">
+  <h2>Urbex</h2>
+</div>
+
+<form method="post" class="properties" action="" ENCTYPE="multipart/form-data" name="form" class="properties">
+<div id="configContent">
+  <fieldset id="mainConfCheck">
+    <legend></legend>
+      <ul>
+        <li>
+          <span class="property">{'Display page banner on home page'|@translate}</span>
+          <input type="checkbox" name="urbx[home]" value="true" {if $urbx.home}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on categories pages'|@translate}</span>
+          <input type="checkbox" name="urbx[categories]" value="true" {if $urbx.categories}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on picture page'|@translate}</span>
+          <input type="checkbox" name="urbx[picture]" value="true" {if $urbx.picture}checked="checked"{/if}>
+        </li>
+        <li>
+          <span class="property">{'Display page banner on other pages'|@translate}</span>
+          <input type="checkbox" name="urbx[other]" value="true" {if $urbx.other}checked="checked"{/if}>
+        </li>
+      </ul>
+  </fieldset>
+</div>
+<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" /></p>
+</form>
Index: extensions/sobre/trunk/admin/index.php
===================================================================
--- extensions/sobre/trunk/admin/index.php	(revision 10318)
+++ extensions/sobre/trunk/admin/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/admin/maintain.inc.php
===================================================================
--- extensions/sobre/trunk/admin/maintain.inc.php	(revision 10318)
+++ extensions/sobre/trunk/admin/maintain.inc.php	(revision 10318)
@@ -0,0 +1,34 @@
+<?php
+
+/* Lors de l'activation */
+function theme_activate($id, $version, &$errors)
+{
+  global $prefixeTable, $conf;
+
+  if (!isset($conf['Sobre']))
+  {
+    $config = array(
+      'home'       => true,
+      'categories' => true,
+      'picture'    => false,
+      'other'      => true,
+      );
+      
+    $query = '
+INSERT INTO ' . CONFIG_TABLE . ' (param,value,comment)
+VALUES ("Sobre" , "'.addslashes(serialize($config)).'" , "Sobre parameters");';
+
+    pwg_query($query);
+  }
+}
+
+/* Lors de la désactivation */
+function theme_deactivate()
+{
+  global $prefixeTable;
+
+  $query = 'DELETE FROM ' . CONFIG_TABLE . ' WHERE param="Sobre" LIMIT 1;';
+  pwg_query($query);
+}
+
+?>
Index: extensions/sobre/trunk/images/index.php
===================================================================
--- extensions/sobre/trunk/images/index.php	(revision 10318)
+++ extensions/sobre/trunk/images/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/index.php
===================================================================
--- extensions/sobre/trunk/index.php	(revision 10318)
+++ extensions/sobre/trunk/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/js/css.js
===================================================================
--- extensions/sobre/trunk/js/css.js	(revision 10318)
+++ extensions/sobre/trunk/js/css.js	(revision 10318)
@@ -0,0 +1,116 @@
+var BrowserDetect = {
+	init: function () {
+		this.browser = this.searchString(this.dataBrowser) || "An unknown browser";
+		this.version = this.searchVersion(navigator.userAgent)
+			|| this.searchVersion(navigator.appVersion)
+			|| "an unknown version";
+		this.OS = this.searchString(this.dataOS) || "an unknown OS";
+	},
+	searchString: function (data) {
+		for (var i=0;i<data.length;i++)	{
+			var dataString = data[i].string;
+			var dataProp = data[i].prop;
+			this.versionSearchString = data[i].versionSearch || data[i].identity;
+			if (dataString) {
+				if (dataString.indexOf(data[i].subString) != -1)
+					return data[i].identity;
+			}
+			else if (dataProp)
+				return data[i].identity;
+		}
+	},
+	searchVersion: function (dataString) {
+		var index = dataString.indexOf(this.versionSearchString);
+		if (index == -1) return;
+		return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
+	},
+	dataBrowser: [
+		{
+			string: navigator.userAgent,
+			subString: "Chrome",
+			identity: "Chrome"
+		},
+		{ 	string: navigator.userAgent,
+			subString: "OmniWeb",
+			versionSearch: "OmniWeb/",
+			identity: "OmniWeb"
+		},
+		{
+			string: navigator.vendor,
+			subString: "Apple",
+			identity: "Safari",
+			versionSearch: "Version"
+		},
+		{
+			prop: window.opera,
+			identity: "Opera"
+		},
+		{
+			string: navigator.vendor,
+			subString: "iCab",
+			identity: "iCab"
+		},
+		{
+			string: navigator.vendor,
+			subString: "KDE",
+			identity: "Konqueror"
+		},
+		{
+			string: navigator.userAgent,
+			subString: "Firefox",
+			identity: "Firefox"
+		},
+		{
+			string: navigator.vendor,
+			subString: "Camino",
+			identity: "Camino"
+		},
+		{		// for newer Netscapes (6+)
+			string: navigator.userAgent,
+			subString: "Netscape",
+			identity: "Netscape"
+		},
+		{
+			string: navigator.userAgent,
+			subString: "MSIE",
+			identity: "Explorer",
+			versionSearch: "MSIE"
+		},
+		{
+			string: navigator.userAgent,
+			subString: "Gecko",
+			identity: "Mozilla",
+			versionSearch: "rv"
+		},
+		{ 		// for older Netscapes (4-)
+			string: navigator.userAgent,
+			subString: "Mozilla",
+			identity: "Netscape",
+			versionSearch: "Mozilla"
+		}
+	],
+	dataOS : [
+		{
+			string: navigator.platform,
+			subString: "Win",
+			identity: "Windows"
+		},
+		{
+			string: navigator.platform,
+			subString: "Mac",
+			identity: "Mac"
+		},
+		{
+			   string: navigator.userAgent,
+			   subString: "iPhone",
+			   identity: "iPhone/iPod"
+	    },
+		{
+			string: navigator.platform,
+			subString: "Linux",
+			identity: "Linux"
+		}
+	]
+
+};
+BrowserDetect.init();
Index: extensions/sobre/trunk/language/de_DE/index.php
===================================================================
--- extensions/sobre/trunk/language/de_DE/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/de_DE/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/de_DE/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/de_DE/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/de_DE/theme.lang.php	(revision 10318)
@@ -0,0 +1,36 @@
+<?php
+
+/* Admin */
+$lang['Title theme'] = 'Konfiguration des Layouts <em>Sobre</em>';
+$lang['Title banner on pages'] = 'Anzeige des Titelbanners';
+$lang['Display page banner on home page'] = 'Zeige den Seitenbanner auf der Homepage an';
+$lang['Display page banner on categories pages'] = 'Zeige den Seitenbanner auf den Kategorieseiten an';
+$lang['Display page banner on picture page'] = 'Zeige den Seitenbanner auf der Bilderseite an';
+$lang['Display page banner on other pages'] = 'Zeige den Seitenbanner auf den anderen Seiten an';
+$lang['Theme by'] = 'Layout Sobre von <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+$lang['mb menubar items'] = 'Anzahl der Menüelemente';
+$lang['Tips'] = 'Tips';
+$lang['Thumbnail dimensions'] = 'Größe der Miniaturbilder';
+$lang['(Dimensions limits in pixels)'] = '(Größenlimit in Pixel)';
+$lang['width'] = 'Breite';
+$lang['height'] = 'Höhe';
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Sie betrachten';
+$lang['comment'] = '';
+$lang['Licence area'] = 'Lizenz';
+$lang['Informations area'] = 'Information';
+$lang['upload author'] = 'Ihr Name :';
+$lang['Submit comment'] = 'Kommentar abschicken';
+$lang['comment screen'] = 'Ihren Kommentar bitte hier eingeben. Danke';
+
+/* footer.tpl */
+$lang['generation time'] = 'Seite erstellt in';
+$lang['sql queries in'] = 'SQL-Abfragen in';
+$lang['Scroll to top'] = 'Zum Anfang';
+$lang['About'] = 'Über';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Automatische Kategorie';
+
+?>
Index: extensions/sobre/trunk/language/en_UK/index.php
===================================================================
--- extensions/sobre/trunk/language/en_UK/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/en_UK/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/en_UK/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/en_UK/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/en_UK/theme.lang.php	(revision 10318)
@@ -0,0 +1,28 @@
+<?php
+
+/* Admin */
+$lang['Display page banner on home page'] = 'Display page banner on home page';
+$lang['Display page banner on categories pages'] = 'Display page banner on categories pages';
+$lang['Display page banner on picture page'] = 'Display page banner on picture page';
+$lang['Display page banner on other pages'] = 'Display page banner on other pages';
+$lang['Theme by'] = 'Thème Black & White By <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+
+/* picture.tpl */
+$lang['Viewing name'] = 'You viewing';
+$lang['comment'] = '';
+$lang['Licence area'] = 'Licence';
+$lang['Informations area'] = 'Informations';
+$lang['upload author'] = 'Votre nom :';
+$lang['Submit comment'] = 'Valider votre commentaire';
+$lang['comment screen'] = 'Votre commentaire ici. Merci';
+
+/* footer.tpl */
+$lang['generation time'] = 'Page generated in';
+$lang['sql queries in'] = 'sql queries in';
+$lang['Scroll to top'] = 'Scroll to top';
+$lang['About'] = 'Mentions légales';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Catégorie automatique';
+
+?>
Index: extensions/sobre/trunk/language/es_ES/index.php
===================================================================
--- extensions/sobre/trunk/language/es_ES/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/es_ES/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/es_ES/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/es_ES/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/es_ES/theme.lang.php	(revision 10318)
@@ -0,0 +1,28 @@
+<?php
+
+/* Admin */
+$lang['Display page banner on home page'] = 'Fijar la bandera sobre la página inicial';
+$lang['Display page banner on categories pages'] = 'Fijar la bandera sobre la página de las categorías';
+$lang['Display page banner on picture page'] = 'Fijar la bandera sobre la página de las fotos';
+$lang['Display page banner on other pages'] = 'Fijar la bandera sobre otras páginas';
+$lang['Theme by'] = 'Tema Sobre para <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Usted mira';
+$lang['comment'] = '';
+$lang['Licence area'] = 'Licencia';
+$lang['Informations area'] = 'Informaciones';
+$lang['upload author'] = 'Su nombre:';
+$lang['Submit comment'] = 'Validar su comentario';
+$lang['comment screen'] = 'Su comentario aquí. Gracias';
+
+/* footer.tpl */
+$lang['generation time'] = 'Página fabricada de allí';
+$lang['sql queries in'] = 'Demanda SQL';
+$lang['Scroll_to_top'] = 'Volver en lo alto de página';
+$lang['About'] = 'Menciones legales';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Categoría automática';
+
+?>
Index: extensions/sobre/trunk/language/fr_FR/index.php
===================================================================
--- extensions/sobre/trunk/language/fr_FR/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/fr_FR/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/fr_FR/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/fr_FR/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/fr_FR/theme.lang.php	(revision 10318)
@@ -0,0 +1,47 @@
+<?php
+
+/* Header.tpl */
+$lang['Galerie RSS feed'] = 'Abonnez-vous au flux RSS de la galerie.';
+
+/* Admin */
+$lang['Title theme'] = 'Configuration du thème : <em>Sobre</em>';
+$lang['Title banner on pages'] = 'Affichage de la bannière';
+$lang['Display page banner on home page'] = 'Afficher la bannière sur la page d\'accueil';
+$lang['Display page banner on categories pages'] = 'Afficher la bannière sur la page des catégories';
+$lang['Display page banner on picture page'] = 'Afficher la bannière sur la page des photos';
+$lang['Display page banner on other pages'] = 'Afficher la bannière sur les autres pages';
+$lang['Theme by'] = 'Thème Sobre par <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+$lang['mb menubar items'] = 'Nombre d\'éléments dans le menu';
+$lang['Tips'] = 'Divers';
+$lang['Thumbnail dimensions'] = 'Dimensions de vos miniatures';
+$lang['(Dimensions limits in pixels)'] = '(Dimensions exprimées en pixels)';
+$lang['width'] = 'largeur';
+$lang['height'] = 'hauteur';
+$lang['Display LMT licence'] = 'Affichage de la licence avec le plugin "LMT" sous la photo.';
+$lang['Troncate picture name'] = 'Raccourcir le nom du fichier à afficher.';
+$lang['Many caracters to be preserved'] = 'Nombre de caractères à préserver.';
+$lang['Start or end'] = 'Couper à partir du début ou de la fin, du nom de fichier ?';
+$lang['Start'] = 'Début';
+$lang['End'] = 'Fin';
+$lang['Display light categories'] = 'Raccourcir le nom des catégories au minimum.';
+
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Vous regardez';
+$lang['Comment'] = '';
+$lang['Licence area'] = 'Licence';
+$lang['Informations area'] = 'Informations';
+$lang['upload author'] = 'Votre nom :';
+$lang['Submit comment'] = 'Valider votre commentaire';
+$lang['comment screen'] = 'Votre commentaire ici. Merci';
+
+/* footer.tpl */
+$lang['generation time'] = 'Page fabriquée en';
+$lang['sql queries in'] = 'requêtes SQL en';
+$lang['Scroll_to_top'] = 'Revenir en haut de page';
+$lang['About'] = 'Mentions légales';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Catégorie automatique';
+
+?>
Index: extensions/sobre/trunk/language/hu_HU/index.php
===================================================================
--- extensions/sobre/trunk/language/hu_HU/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/hu_HU/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/hu_HU/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/hu_HU/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/hu_HU/theme.lang.php	(revision 10318)
@@ -0,0 +1,36 @@
+<?php
+
+/* Admin */
+$lang['Title theme'] = 'Téma beállítása : <em>Sobre</em>';
+$lang['Title banner on pages'] = 'Oldal banner megjelenítése';
+$lang['Display page banner on home page'] = 'Oldal banner megjelenítése a főoldalon';
+$lang['Display page banner on categories pages'] = 'Oldal banner megjelenítése a kategóriák oldalon';
+$lang['Display page banner on picture page'] = 'Oldal banner megjelenítése a kép oldalon';
+$lang['Display page banner on other pages'] = 'Oldal banner megjelenítése a többi oldalon';
+$lang['Theme by'] = 'Téma Black & White <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a> által.';
+$lang['mb menubar items'] = 'Tételek száma a menüben';
+$lang['Tips'] = 'Tippek';
+$lang['Thumbnail dimensions'] = 'Bélyegképek mérete';
+$lang['(Dimensions limits in pixels)'] = '(Méretek pixelben)';
+$lang['width'] = 'szélesség';
+$lang['height'] = 'magasság';
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Kép címe';
+$lang['comment'] = '';
+$lang['Licence area'] = 'Licenc';
+$lang['Informations area'] = 'Információk';
+$lang['upload author'] = 'Az Ön neve :';
+$lang['Submit comment'] = 'Hozzászólás küldése';
+$lang['comment screen'] = 'Kérjük írja meg hozzászólását';
+
+/* footer.tpl */
+$lang['generation time'] = 'Oldal készült';
+$lang['sql queries in'] = 'adatbázis-lekérdezés';
+$lang['Scroll to top'] = 'Oldal tetejére';
+$lang['About'] = 'Impresszum';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Automatikus kategória';
+
+?>
Index: extensions/sobre/trunk/language/index.php
===================================================================
--- extensions/sobre/trunk/language/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/it_IT/index.php
===================================================================
--- extensions/sobre/trunk/language/it_IT/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/it_IT/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/it_IT/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/it_IT/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/it_IT/theme.lang.php	(revision 10318)
@@ -0,0 +1,40 @@
+<?php
+
+/* Header.tpl */
+$lang['Galerie RSS feed'] = 'Abbonatevi al feed RSS della galleria.';
+
+/* Admin */
+$lang['Title theme'] = 'Configurazione del tema : <em>Sobre</em>';
+$lang['Title banner on pages'] = 'Visualizzazione del banner';
+$lang['Display page banner on home page'] = 'Visualizza il banner sulla pagina principale';
+$lang['Display page banner on categories pages'] = 'Visualizza il banner sulla pagina delle categorie';
+$lang['Display page banner on picture page'] = 'Visualizza il banner sulla pagina delle foto';
+$lang['Display page banner on other pages'] = 'Visualizza il banner sulle altre pagine ';
+$lang['Theme by'] = 'Tema Sobre di <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+$lang['mb menubar items'] = 'Numero d\'elementi nel menu';
+$lang['Tips'] = 'Vari';
+$lang['Thumbnail dimensions'] = 'Dimenzioni delle miniature';
+$lang['(Dimensions limits in pixels)'] = '(Dimenzioni espresse in pixels)';
+$lang['width'] = 'larghezza';
+$lang['height'] = 'altezza';
+
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Guardate';
+$lang['comment'] = '';
+$lang['Licence area'] = 'Licenza';
+$lang['Informations area'] = 'Informazioni';
+$lang['upload author'] = 'Il vostro nome :';
+$lang['Submit comment'] = 'Inviare il vostro commento';
+$lang['comment screen'] = 'Il vostro commento qui. Grazie';
+
+/* footer.tpl */
+$lang['generation time'] = 'Pagina generata in';
+$lang['sql queries in'] = 'selezioni SQL in';
+$lang['Scroll_to_top'] = 'Tornare su';
+$lang['About'] = 'Termini legali';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Categorie automatiche';
+
+?>
Index: extensions/sobre/trunk/language/sr_RS/index.php
===================================================================
--- extensions/sobre/trunk/language/sr_RS/index.php	(revision 10318)
+++ extensions/sobre/trunk/language/sr_RS/index.php	(revision 10318)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/sobre/trunk/language/sr_RS/theme.lang.php
===================================================================
--- extensions/sobre/trunk/language/sr_RS/theme.lang.php	(revision 10318)
+++ extensions/sobre/trunk/language/sr_RS/theme.lang.php	(revision 10318)
@@ -0,0 +1,28 @@
+<?php
+
+/* Admin */
+$lang['Display page banner on home page'] = 'Прикажи банер на почетној страници';
+$lang['Display page banner on categories pages'] = 'Прикажи банер на страници са категоријама';
+$lang['Display page banner on picture page'] = 'Прикажи банер на страници са сликом';
+$lang['Display page banner on other pages'] = 'Прикажи банер на осталим страницама';
+$lang['Theme by'] = 'Тему направио Black & White By <a href="http://www.julien-moreau.fr/" title="Gotcha">Gotcha</a>.';
+
+/* picture.tpl */
+$lang['Viewing name'] = 'Гледате ';
+$lang['comment'] = 'коментар';
+$lang['Licence area'] = 'Лиценца ';
+$lang['Informations area'] = 'Информације';
+$lang['upload author'] = 'Име аутора:';
+$lang['Submit comment'] = 'Пошаљи коментар';
+$lang['comment screen'] = 'Екран за коментаре. Хвала';
+
+/* footer.tpl */
+$lang['generation time'] = 'Страница направљена ';
+$lang['sql queries in'] = 'sql питање';
+$lang['Scroll to top'] = 'Оди на почетак';
+$lang['About'] = 'О ...';
+
+/* mainpage_categories.tpl */
+$lang['Auto categorie'] = 'Категорије';
+
+?>
Index: extensions/sobre/trunk/local_head.tpl
===================================================================
--- extensions/sobre/trunk/local_head.tpl	(revision 10318)
+++ extensions/sobre/trunk/local_head.tpl	(revision 10318)
@@ -0,0 +1,58 @@
+{* Bannière des pages *}
+{if (!$display_sbre_banner)}
+<style type="text/css">
+#{$BODY_ID} #theHeader {ldelim} display: none; {rdelim}
+</style>
+{/if}
+
+{* Ajout du favicon qui tourne *}
+<link rel="shortcut icon" type="image/x-icon" href="{$ROOT_URL}{$themeconf.icon_dir}/favicon.gif">
+
+{* Ajout du flux RSS dans la barre de titre (FF) *}
+<link rel="alternate" type="application/rss+xml" title="{'Galerie RSS feed'|@translate}" href="./notification.php">
+
+{* Ajout de la fonction de détéction du navigateur *}
+{combine_script id='browsers.script' load='header' path='themes/sobre/js/css.js}
+
+{footer_script require='browsers.script'}
+<!--
+Name_motor = navigator.product;
+Version_Motor = navigator.productSub;
+
+if ((Name_motor=="Gecko" && Version_Motor>="20100115") 
+  || (BrowserDetect.browser=="Firefox" && BrowserDetect.version>=3.5) 
+  || (BrowserDetect.browser=="Safari" && BrowserDetect.version>=3.1) 
+  || (BrowserDetect.browser=="Opera" && BrowserDetect.version>=10) 
+  || (BrowserDetect.browser=="Chrome" && BrowserDetect.version>=4))
+  document.write('<link rel="stylesheet" type="text/css" href="themes/{$themeconf.id}/CSS3.css">');
+// -->
+{/footer_script}
+
+{* Redirect auto from google images. See : http://technet.ameriquebec.net/2009/03/23-241-ne-perdez-pas-votre-trafic-en-provenance-de-google-images.qc *}
+<script language="JavaScript" type="text/javascript">
+  if (top.location != self.location) top.location.replace(self.location);
+</script>
+
+{footer_script}
+{literal}
+jQuery(document).ready(function(jQuery){
+  stt = jQuery('#scrolltotop');
+  jQuery(window).scroll(function(){
+    scrollTop = jQuery(window).scrollTop();
+    jQuery('#scrolltotop a').click(function(){
+        jQuery('html,body').stop().scrollTop(0);
+    });
+    if(scrollTop >= 300){
+      if(stt.css('opacity') == 0){
+        stt.stop().fadeTo(2000,1);
+      }
+    }else{
+      if(stt.css('opacity') > 0){
+        stt.stop().fadeTo(500,0);  
+      } 
+    }
+  });
+  jQuery(window).scroll();
+});
+{/literal}
+{/footer_script}
Index: extensions/sobre/trunk/mail-css.tpl
===================================================================
--- extensions/sobre/trunk/mail-css.tpl	(revision 10318)
+++ extensions/sobre/trunk/mail-css.tpl	(revision 10318)
@@ -0,0 +1,12 @@
+/* Theme dark mail css */
+
+body {ldelim} background-color:#444; color:#fff;}
+#the_page {ldelim} background: #444 url({$ROOT_URL}themes/default/images/mail/mailbody-bg.png) repeat-y scroll left top;}
+#content {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/header-bg.png) no-repeat scroll left top;}
+#copyright {ldelim} background: transparent url({$ROOT_URL}themes/default/images/mail/footer-bg.png) no-repeat scroll left bottom;
+color: #69c;}
+h2 {ldelim} background-color: #333;color:#fff48e;background-image: url({$ROOT_URL}themes/{$themeconf.theme}/images/tableh1_bg.png);}
+img {ldelim} margin: 16px; border: 16px solid #111; -moz-border-radius: 4px; border-radius: 4px 4px; }
+img:hover {ldelim} padding: 15px; border: 1px solid yellow;background-color:#444;-moz-border-radius: 4px; border-radius: 4px 4px; }
+a {ldelim} color: #fff48e; background: transparent;border-bottom:1px dotted #005e89; }
+a:hover {ldelim} color: #fff48e;}
Index: extensions/sobre/trunk/menu.css
===================================================================
--- extensions/sobre/trunk/menu.css	(revision 10318)
+++ extensions/sobre/trunk/menu.css	(revision 10318)
@@ -0,0 +1,196 @@
+@font-face { 
+  font-family: 'Mon-menu'; 
+  src: url('./fonts/menubar.ttf');
+}
+
+#menubar {
+height:2.1em;
+margin:-2px auto 3px;
+position:relative;
+width:980px;
+z-index:2;
+padding-bottom:25px;
+display:block;
+float:none;
+}
+
+#menubar #menuTagCloud a {
+display:inline;
+}
+
+#menubar #menuTagCloud span {
+display:block;
+padding:0.5em 0;
+text-align:left;
+}
+
+#menubar .button {
+border:medium none;
+float:right;
+left:95%;
+list-style-image:none;
+list-style-position:outside;
+list-style-type:none;
+margin:-2px 2px 2px;
+padding:0;
+position:absolute;
+text-align:center;
+text-indent:0;
+width:auto;
+}
+
+#menubar a,#menubar dt a,#menubar dd a {
+border:0;
+color:#fff;
+display:block;
+text-decoration:none;
+}
+
+#menubar a,#menubar dt,div#menubar dl:hover dd,div#menubar ul li:hover ul,div#menubar ul ul li:hover ul,div#menubar ul ul ul li:hover ul,div#menubar ul ul ul ul li:hover ul,div#menubar ul ul ul ul ul li:hover ul {
+display:block;
+}
+
+#menubar a:hover,#menubar dt:hover {
+color:#fff;
+}
+
+#menubar dd {
+background:#333;
+border:1px solid #8c8c8c;
+position:absolute;
+text-align:left;
+z-index:500;
+}
+
+#menubar dd a {
+padding:0.5em;
+}
+
+#menubar dd a:hover {
+background-color:#333;
+border:1px solid #8c8c8c;
+color:#FFF;
+font-style:italic;
+}
+
+#menubar dd ul ul {
+background-color:#fff;
+border:1px solid #8c8c8c;
+left:100%;
+position:absolute;
+top:0;
+z-index:500;
+}
+
+#menubar dl {
+display:inline;
+height:25px;
+text-align:center;
+width:25%;
+}
+
+#menubar dl dd p {
+border-bottom:1px solid #000;
+}
+
+#menubar dt {
+background-image:url("images/tableh1_bg.png");
+border:0;
+color:#fff48e;
+padding:5px 0;
+}
+
+#menubar li {
+position:relative;
+}
+
+#menubar li a {
+background:#3f3f3f none repeat scroll 0 0;
+}
+
+#menubar li span {
+right:7px;
+}
+
+#menubar li span,#menubar li IMG {
+padding-left:4px;
+position:absolute;
+top:7px;
+}
+
+#menubar li span.bullet,div#menubar dd,div#menubar ul ul,div#menubar ul li:hover ul ul,div#menubar ul ul li:hover ul ul,div#menubar ul ul ul li:hover ul ul,div#menubar ul ul ul ul li:hover ul ul {
+display:none;
+}
+
+#menubar li:hover {
+background:#3f3f3f;
+}
+
+#menubar p,#menubar p.totalimages,#menubar p,#menubar p.totalimages,form#quickconnect {
+clear:both;
+margin:0;
+padding:0.2em;
+text-align:center;
+}
+
+#menubar ul {
+width:20em;
+}
+
+#menubar ul li a {
+margin-left:25px;
+padding-right:3em;
+}
+
+#menubar ul,#menubar dl,#menubar ul#menuTagCloud {
+float:left;
+list-style:none;
+margin:0;
+padding:0;
+}
+
+#menubar ul,#menubar li {
+background:#333 none repeat scroll 0 0;
+}
+
+#menubar ul.rvTree ul {
+padding-left:0 !important;
+}
+
+body#theadminpage #menubar {
+border:none;
+display:block;
+float:none;
+margin:5px auto;
+width:898px;
+}
+
+form#quickconnect .button {
+left:50px;
+position:relative;
+top:-20px;
+}
+
+form#quickconnect fieldset {
+padding-top:5px;
+text-align:left;
+width:19em;
+}
+
+form#quickconnect label {
+clear:left;
+}
+
+form#quickconnect label input {
+font-size:1em;
+}
+
+form#quickconnect p,form#quickconnect a {
+border:none;
+padding:0;
+}
+
+form#quicksearch {
+border-bottom:1px solid #000;
+padding:0 0 0 15px;
+}
Index: extensions/sobre/trunk/slider.css
===================================================================
--- extensions/sobre/trunk/slider.css	(revision 10318)
+++ extensions/sobre/trunk/slider.css	(revision 10318)
@@ -0,0 +1,98 @@
+/** 
+ * Slideshow style rules.
+ */
+.slide p {
+  font-family: Slider-com;
+  font-size:15px;
+  font-weight:normal;
+}
+#slideshow {
+  margin:0 auto;
+  height:263px;
+  position:relative;
+  width:980px;
+}
+#slideshow #slidesContainer {
+  margin:0 auto;
+  width:902px;
+  height:263px;
+  overflow:auto; /* affiche une scrollbar au cas ou */
+  position:relative;
+}
+#slideshow #slidesContainer .slide {
+  margin:0 auto;
+  width:882px; /* reduit de 20 pixels la div #slidesContainer pour permettre d'afficher la barre de scroll */
+  height:263px;
+}
+
+/** 
+  * Slideshow controls style rules.
+**/
+.control {
+  display:block;
+  width:39px;
+  height:263px;
+  text-indent:-10000px;
+  position:absolute;
+  cursor: pointer;
+}
+#navDiapo{
+  display:block;
+  width:20px;
+  height:20px;
+  position:absolute;
+  left:980px;
+  bottom:10px;
+  cursor:pointer;
+}
+#leftControl {
+  top:0;
+  left:0;
+  background:transparent url(../../../../slideshow/img/control_left.jpg) no-repeat 0 0;
+}
+#rightControl {
+  top:0;
+  right:0;
+  background:transparent url(../../../../slideshow/img/control_right.jpg) no-repeat 0 0;
+}
+#pageContainer {
+  margin:0 auto;
+  width:980px;
+}
+#pageContainer h1 {
+  display:block;
+  width:960px;
+  height:114px;
+  margin:auto;
+  background:transparent url(../../../../slideshow/img/bg_pagecontainer_h1.png) no-repeat top left;
+  text-indent: -10000px;
+}
+.slide h2, .slide p {
+  margin:15px;
+}
+.slide h2 {
+  background:none repeat scroll 0 0 transparent;
+  border:medium none;
+  font:italic 24px Georgia, "Times New Roman", Times, serif;
+  color:#ccc;
+  letter-spacing:-1px;
+}
+.slide img {
+  float:right;
+  margin:10px 0 0 10px;
+}
+#footer-slider p {
+  margin:-30px auto 0 auto;
+  display:block;
+  width:460px;
+  /* height:40px; */
+  position:relative;
+  padding-left:5px;
+}
+#stuffs_block_11  .titrePage {
+  display:none;
+}
+#stuffs_block_11 .personal_block{
+  padding:0px;
+  background-color:#252525;
+}
Index: extensions/sobre/trunk/template/footer.tpl
===================================================================
--- extensions/sobre/trunk/template/footer.tpl	(revision 10318)
+++ extensions/sobre/trunk/template/footer.tpl	(revision 10318)
@@ -0,0 +1,45 @@
+<div id="scrolltotop"><a href="#">{'Scroll to top'|@translate}</a></div>
+<div id="copyright">
+  {if isset($U_REGISTER)}<a href="{$U_REGISTER}" title="{'Create a new account'|@translate}" rel="nofollow">{'Register'|@translate}</a>{/if}
+  {if isset($U_LOGIN)} - <a href="{$U_LOGIN}" rel="nofollow">{'Login'|@translate}</a>{/if}
+  {if isset($U_LOGOUT)}<a href="{$U_LOGOUT}">{'Logout'|@translate}</a>{/if}
+  {if isset($U_PROFILE)} - <a href="{$U_PROFILE}" title="{'customize the appareance of the gallery'|@translate}">{'Customize'|@translate}</a>{/if}
+  {if isset($U_ADMIN)} - <a href="{$U_ADMIN}" title="{'available for administrators only'|@translate}">{'Administration'|@translate}</a>{/if}
+<br/>
+<a href="{$PHPWG_URL}" class="Piwigo">
+<span class="Piwigo"><img alt="visit Piwigo website" src="./themes/{$themeconf.id}/images/pwg_baniere_pdp.png" /></span></a><br/>
+
+{if isset($debug.TIME)}
+	{'Page generated in'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'SQL queries in'|@translate} {$debug.SQL_TIME}) -
+{/if}
+{*
+	Please, do not remove this copyright. If you really want to,
+			contact us on http://piwigo.org to find a solution on how
+			to show the origin of the script...
+*}
+	<span class="legend">
+  {if isset($debug.TIME)}{'Page generated in'|@translate} {$debug.TIME} ({$debug.NB_QUERIES} {'SQL queries in'|@translate} {$debug.SQL_TIME}) - {/if}
+  <script type="text/javascript"> document.write('Vous utilisez ' + BrowserDetect.browser + ' ' + BrowserDetect.version + ' sur ' + BrowserDetect.OS + '.'); </script>
+	{if isset($CONTACT_MAIL)}
+	- {'Contact'|@translate}
+	<a href="mailto:{$CONTACT_MAIL}?subject={'A comment on your site'|@translate|@escape:url}">{'Webmaster'|@translate}</a>
+	{/if}
+
+ - <a href="about.php" alt="Legals informations" title="Informations complémentaires">{'About'|@translate}</a>
+ {if ($VERSION != "")} - v{$VERSION}{/if}</span>
+{get_combined_scripts load='footer'}
+
+{if isset($footer_elements)}
+{foreach from=$footer_elements item=v}
+{$v}
+{/foreach}
+{/if}
+</div> {* copyright *}
+{if isset($debug.QUERIES_LIST)}
+<div id="debug">
+{$debug.QUERIES_LIST}
+</div>
+{/if}
+</div>{* the_page *}
+</body>
+</html>
Index: extensions/sobre/trunk/template/index.tpl
===================================================================
--- extensions/sobre/trunk/template/index.tpl	(revision 10318)
+++ extensions/sobre/trunk/template/index.tpl	(revision 10318)
@@ -0,0 +1,127 @@
+{$MENUBAR}
+{if !empty($PLUGIN_INDEX_CONTENT_BEFORE)}{$PLUGIN_INDEX_CONTENT_BEFORE}{/if}
+<div id="content" class="content">
+<div class="titrePage">
+	<ul class="categoryActions">
+{if !empty($image_orders)}
+		<li>{'Sort order'|@translate}: {strip}
+		<select onchange="document.location = this.options[this.selectedIndex].value;">
+			{foreach from=$image_orders item=image_order}
+			<option value="{$image_order.URL}"{if $image_order.SELECTED} selected="selected"{/if}>{$image_order.DISPLAY}</option>
+			{/foreach}
+		</select>
+{/strip}</li>
+{/if}
+{if isset($favorite)}
+		<li><a href="{$favorite.U_FAVORITE}" title="{'delete all photos from your favorites'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-favorite-del"> </span><span class="pwg-button-text">{'delete all photos from your favorites'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_CADDIE)}
+		<li><a href="{$U_CADDIE}" title="{'add to caddie'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-caddie-add"> </span><span class="pwg-button-text">{'caddie'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_EDIT)}
+		<li><a href="{$U_EDIT}" title="{'edit'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
+		</a></li>
+{/if}
+{if isset($U_SEARCH_RULES)}
+		{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+		<li><a href="{$U_SEARCH_RULES}" onclick="popuphelp(this.href); return false;" title="{'Search rules'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-help"> </span><span class="pwg-button-text">(?)</span>
+		</a></li>
+{/if}
+{if isset($U_SLIDESHOW)}
+		<li>{strip}<a href="{$U_SLIDESHOW}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-slideshow"> </span><span class="pwg-button-text">{'slideshow'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_FLAT)}
+		<li>{strip}<a href="{$U_MODE_FLAT}" title="{'display all photos in all sub-albums'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-category-view-flat"> </span><span class="pwg-button-text">{'display all photos in all sub-albums'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_NORMAL)}
+		<li>{strip}<a href="{$U_MODE_NORMAL}" title="{'return to normal view mode'|@translate}" class="pwg-state-default pwg-button">
+			<span class="pwg-icon pwg-icon-category-view-normal"> </span><span class="pwg-button-text">{'return to normal view mode'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_POSTED)}
+		<li>{strip}<a href="{$U_MODE_POSTED}" title="{'display a calendar by posted date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-calendar"> </span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if isset($U_MODE_CREATED)}
+		<li>{strip}<a href="{$U_MODE_CREATED}" title="{'display a calendar by creation date'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+			<span class="pwg-icon pwg-icon-camera-calendar"> </span><span class="pwg-button-text">{'Calendar'|@translate}</span>
+		</a>{/strip}</li>
+{/if}
+{if !empty($PLUGIN_INDEX_ACTIONS)}{$PLUGIN_INDEX_ACTIONS}{/if}
+	</ul>
+
+<h2>{$TITLE|replace:'<br/>':' '}</h2>
+
+{if isset($chronology_views)}
+<div class="calendarViews">{'View'|@translate}:
+	<select onchange="document.location = this.options[this.selectedIndex].value;">
+		{foreach from=$chronology_views item=view}
+		<option value="{$view.VALUE}"{if $view.SELECTED} selected="selected"{/if}>{$view.CONTENT}</option>
+		{/foreach}
+	</select>
+</div>
+{/if}
+
+{if isset($chronology.TITLE)}
+<h2>{$chronology.TITLE}</h2>
+{/if}
+
+</div>{* <!-- titrePage --> *}
+
+{if !empty($PLUGIN_INDEX_CONTENT_BEGIN)}{$PLUGIN_INDEX_CONTENT_BEGIN}{/if}
+
+{if !empty($category_search_results)}
+<div style="font-size:16px;margin:10px 16px">{'Album results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+	<em><strong>
+	{foreach from=$category_search_results item=res name=res_loop}
+	{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+	{$res}
+	{/foreach}
+	</strong></em>
+</div>
+{/if}
+
+{if !empty($tag_search_results)}
+<div style="font-size:16px;margin:10px 16px">{'Tag results for'|@translate} <strong>{$QUERY_SEARCH}</strong> :
+	<em><strong>
+	{foreach from=$tag_search_results item=res name=res_loop}
+	{if !$smarty.foreach.res_loop.first} &mdash; {/if}
+	{$res}
+	{/foreach}
+	</strong></em>
+</div>
+{/if}
+
+{if isset($FILE_CHRONOLOGY_VIEW)}
+{include file=$FILE_CHRONOLOGY_VIEW}
+{/if}
+
+{if !empty($CONTENT_DESCRIPTION)}
+<div class="additional_info">
+	{$CONTENT_DESCRIPTION}
+</div>
+{/if}
+
+{if !empty($CATEGORIES)}{$CATEGORIES}{/if}
+{if !empty($THUMBNAILS)}
+<ul class="thumbnails" id="thumbnails">
+{$THUMBNAILS}
+</ul>
+{/if}
+
+{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+
+{if !empty($PLUGIN_INDEX_CONTENT_END)}{$PLUGIN_INDEX_CONTENT_END}{/if}
+</div>{* <!-- content --> *}
+{if !empty($PLUGIN_INDEX_CONTENT_AFTER)}{$PLUGIN_INDEX_CONTENT_AFTER}{/if}
Index: extensions/sobre/trunk/template/picture.tpl
===================================================================
--- extensions/sobre/trunk/template/picture.tpl	(revision 10318)
+++ extensions/sobre/trunk/template/picture.tpl	(revision 10318)
@@ -0,0 +1,318 @@
+{* Example of resizeable
+{include file='include/autosize.inc.tpl'}
+*}
+
+{if isset($errors)}
+<div class="errors">
+	<ul>
+		{foreach from=$errors item=error}
+		<li>{$error}</li>
+		{/foreach}
+	</ul>
+</div>
+{/if}
+{if isset($infos)}
+<div class="infos">
+	<ul>
+		{foreach from=$infos item=info}
+		<li>{$info}</li>
+		{/foreach}
+	</ul>
+</div>
+{/if}
+
+{if !empty($PLUGIN_PICTURE_BEFORE)}{$PLUGIN_PICTURE_BEFORE}{/if}
+
+<div id="imageHeaderBar">
+	<div class="browsePath">
+  	<a href="{$U_HOME}">
+      <img src="{$themeconf.icon_dir}/home.png" class="button" alt="{'home'|@translate}"/></a>
+      {if !$IS_HOME}{$LEVEL_SEPARATOR}{$SECTION_TITLE|replace:'<br/>':''}{/if}
+      {$LEVEL_SEPARATOR} <small>{'Viewing name'|@translate}:</small> {$current.TITLE}
+	</div>
+	<div class="imageNumber">{$PHOTO}</div>
+	{if $SHOW_PICTURE_NAME_ON_TITLE}
+	<h2>{$current.TITLE}</h2>
+	{/if}
+</div>
+
+<div id="imageToolBar">
+<div class="actionButtons">
+{strip}{if isset($U_SLIDESHOW_START)}
+	<a href="{$U_SLIDESHOW_START}" title="{'slideshow'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-slideshow"> </span><span class="pwg-button-text">{'slideshow'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($U_METADATA)}
+	<a href="{$U_METADATA}" title="{'Show file metadata'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-camera-info"> </span><span class="pwg-button-text">{'Show file metadata'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($current.U_DOWNLOAD)}
+	<a href="{$current.U_DOWNLOAD}" title="{'download this file'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-save"> </span><span class="pwg-button-text">{'download'|@translate}</span>
+	</a>
+{/if}{/strip}
+{if isset($PLUGIN_PICTURE_ACTIONS)}{$PLUGIN_PICTURE_ACTIONS}{/if}
+{strip}{if isset($favorite)}
+	<a href="{$favorite.U_FAVORITE}" title="{if $favorite.IS_FAVORITE}{'delete this photo from your favorites'|@translate}{else}{'add this photo to your favorites'|@translate}{/if}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-favorite-{if $favorite.IS_FAVORITE}del{else}add{/if}"> </span><span class="pwg-button-text">{'Favorites'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($U_SET_AS_REPRESENTATIVE)}
+	<a href="{$U_SET_AS_REPRESENTATIVE}" title="{'set as album representative'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-representative"> </span><span class="pwg-button-text">{'representative'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($U_ADMIN)}
+	<a href="{$U_ADMIN}" title="{'Modify information'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
+	</a>
+{/if}{/strip}
+{strip}{if isset($U_CADDIE)}{*caddie management BEGIN*}
+{footer_script}
+{literal}function addToCadie(aElement, rootUrl, id)
+{
+if (aElement.disabled) return;
+aElement.disabled=true;
+var y = new PwgWS(rootUrl);
+y.callService(
+	"pwg.caddie.add", {image_id: id} ,
+	{
+		onFailure: function(num, text) { alert(num + " " + text); document.location=aElement.href; },
+		onSuccess: function(result) { aElement.disabled = false; }
+	}
+	);
+}{/literal}
+{/footer_script}
+	<a href="{$U_CADDIE}" onclick="addToCadie(this, '{$ROOT_URL}', {$current.id}); return false;" title="{'add to caddie'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
+		<span class="pwg-icon pwg-icon-caddie-add"> </span><span class="pwg-button-text">{'caddie'|@translate}</span>
+	</a>
+{/if}{/strip}{*caddie management END*}
+</div>
+
+	{include file='picture_nav_buttons.tpl'|@get_extent:'picture_nav_buttons'}
+</div>{*<!-- imageToolBar -->*}
+
+<div id="theImage">
+{$ELEMENT_CONTENT}
+{if isset($COMMENT_IMG)}
+<table>
+  <tr>
+    <td>
+	    <p>{$COMMENT_IMG}</p>
+	</td>
+  </tr>
+</table>
+{/if}
+
+{if isset($U_SLIDESHOW_STOP)}
+<p>
+	[ <a href="{$U_SLIDESHOW_STOP}">{'stop the slideshow'|@translate}</a> ]
+</p>
+{/if}
+
+</div>
+
+{if $DISPLAY_NAV_THUMB}
+{if isset($previous)}
+<a class="navThumb" id="linkPrev" href="{$previous.U_IMG}" title="{'Previous'|@translate} : {$previous.TITLE}" rel="prev">
+	<img src="{$previous.THUMB_SRC}" alt="{$previous.TITLE}">
+</a>
+{/if}
+{if isset($next)}
+<a class="navThumb" id="linkNext" href="{$next.U_IMG}" title="{'Next'|@translate} : {$next.TITLE}" rel="next">
+	<img src="{$next.THUMB_SRC}" alt="{$next.TITLE}">
+</a>
+{/if}
+{/if}
+
+<table id="standard" class="infoTable">
+{strip}
+  <tr>
+	{if $display_info.author}
+		<td id="Author" class="label">{'Author'|@translate}</td>
+		<td class="value">{if isset($INFO_AUTHOR)}{$INFO_AUTHOR}{else}{'N/A'|@translate}{/if}</td>
+		{if isset($COMMENT_LIC)}
+		  <td class="label">{'Licence area'|@translate}</td>
+          <td class="value"><p>{if isset($COMMENT_LIC)}{$COMMENT_LIC}{else}{'N/A'|@translate}{/if}</p></td>
+		{/if}
+	{/if}
+  </tr>
+
+  <tr>
+	{if $display_info.created_on}
+		<td id="datecreate" class="label">{'Created on'|@translate}</td>
+		<td class="value">{if isset($INFO_CREATION_DATE)}{$INFO_CREATION_DATE}{else}{'N/A'|@translate}{/if}</td>
+	{/if}
+	{if $display_info.posted_on}
+		<td id="datepost" class="label">{'Posted on'|@translate}</td>
+		<td class="value">{$INFO_POSTED_DATE}</td>
+	{/if}
+  </tr>
+
+  <tr>
+	{if $display_info.tags}
+		<td id="Tags" class="label">{'Tags'|@translate}</td>
+		<td class="value">
+			{if isset($related_tags)}
+				{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first}, {/if}<a href="{$tag.URL}">{$tag.name}</a>{/foreach}
+			{/if}
+		</td>
+	{/if}
+	{if $display_info.categories}
+		<td id="Categories" class="label">{'Albums'|@translate}</td>
+		<td class="value">
+			{if isset($related_categories)}
+			<ul>
+				{foreach from=$related_categories item=cat}
+				<li>{$cat}</li>
+				{/foreach}
+			</ul>
+			{/if}
+		</td>
+	{/if}
+  </tr>
+
+  <tr>
+  	{if $display_info.file}
+		<td id="Filesize" class="label">{'File'|@translate}</td>
+		<td class="value"><p>{$INFO_FILE}, <small>
+	    {if $display_info.dimensions}{if isset($INFO_DIMENSIONS)}{$INFO_DIMENSIONS}{else}{'N/A'|@translate}{/if}, {/if}
+		{if $display_info.filesize}{if isset($INFO_FILESIZE)}{$INFO_FILESIZE}{else}{'N/A'|@translate}{/if}{/if}
+	  </small></p>
+	{/if}
+	{if $display_info.visits}
+		<td id="Visits" class="label">{'Visits'|@translate}</td>
+		<td class="value">
+		  <p>
+		    {$INFO_VISITS}  {'Visits'|@translate}
+		    {if $display_info.average_rate and isset($rate_summary)}, <span id="Average" class="ratingSummary">
+		{if $rate_summary.count}
+			{assign var='rate_text' value='%.2f (rated %d times)'|@translate}
+			{$pwg->sprintf($rate_text, $rate_summary.average, $rate_summary.count)}
+		{else}
+			{'no rate'|@translate}
+		  </span>{/if}
+		  </p>
+		</td>
+		{/if}
+	{/if}
+  </tr>
+
+  <tr>
+    {if isset($rating)}
+	  <td id="rating" class="label">
+		<span id="updateRate">{if isset($rating.USER_RATE)}{'Update your rating'|@translate}{else}{'Rate this photo'|@translate}{/if}</span>
+	  </td>
+	  <td class="value">
+		<form action="{$rating.F_ACTION}" method="post" id="rateForm" style="margin:0;">
+		<div>
+		{foreach from=$rating.marks item=mark name=rate_loop}
+		  {if isset($rating.USER_RATE) && $mark==$rating.USER_RATE}
+		    <input type="button" name="rate" value="{$mark}" class="rateButtonSelected" title="{$mark}">
+		  {else}
+		    <input type="submit" name="rate" value="{$mark}" class="rateButton" title="{$mark}">
+		  {/if}
+		{/foreach}
+		{strip}{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+		{combine_script id='rating' load='async' require='core.scripts' path='themes/default/js/rating.js'}
+		{footer_script}
+			var _pwgRatingAutoQueue = _pwgRatingAutoQueue||[];
+			_pwgRatingAutoQueue.push( {ldelim}rootUrl: '{$ROOT_URL}', image_id: {$current.id},
+				updateRateText: "{'Update your rating'|@translate|@escape:'javascript'}", updateRateElement: document.getElementById("updateRate"),
+				ratingSummaryText: "{'%.2f (rated %d times)'|@translate|@escape:'javascript'}", ratingSummaryElement: document.getElementById("ratingSummary"){rdelim} );
+		{/footer_script}
+		{/strip}
+		</div>
+		</form>
+		</td>
+	{/if}
+
+	{if $display_info.privacy_level and isset($available_permission_levels)}
+		<td id="Privacy" class="label">{'Who can see this photo?'|@translate}</td>
+		<td class="value">
+			{combine_script id='core.scripts' load='async' path='themes/default/js/scripts.js'}
+			{footer_script}
+			{literal}function setPrivacyLevel(selectElement, rootUrl, id, level)
+			{
+				selectElement.disabled = true;
+				var y = new PwgWS(rootUrl);
+				y.callService(
+			"pwg.images.setPrivacyLevel", {image_id: id, level:level} ,
+				{
+					method: "POST",
+					onFailure: function(num, text) { selectElement.disabled = false; alert(num + " " + text); },
+					onSuccess: function(result) { selectElement.disabled = false; }
+				}
+				);
+			}
+			{/literal}
+			{/footer_script}
+				<select onchange="setPrivacyLevel(this, '{$ROOT_URL}', {$current.id}, this.options[selectedIndex].value)">
+					{foreach from=$available_permission_levels item=label key=level}
+						<option label="{$label}" value="{$level}"{if $level == $current.level} selected="selected"{/if}>{$label}</option>
+					{/foreach}
+				</select>
+		</td>
+	{/if}
+	{/strip}
+  </tr>
+</table>
+
+{if isset($metadata)}
+<table id="Metadata" class="infoTable2">
+{foreach from=$metadata item=meta}
+	<tr id="{$meta.TITLE}">
+		<th colspan="2">{$meta.TITLE}</th>
+	</tr>
+	{foreach from=$meta.lines item=value key=label}
+	<tr id="{$label}">
+		<td class="label">{$label}</td>
+		<td class="value">{$value}</td>
+	</tr>
+	{/foreach}
+{/foreach}
+</table>
+{/if}
+
+<hr class="separation">
+
+{if isset($COMMENT_COUNT)}
+<div id="comments">
+	{if $COMMENT_COUNT > 0}
+		<h3>{$pwg->l10n_dec('%d comment', '%d comments',$COMMENT_COUNT)}</h3>
+	{/if}
+	{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+
+	{if isset($comments)}
+		{include file='comment_list.tpl'}
+	{/if}
+
+	{if isset($comment_add)}
+	<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
+	<fieldset>
+		<label><textarea name="content" id="contentid" rows="5" cols="62" onFocus="if(this.value=='Votre commentaire ici. Merci')this.value=''">Votre commentaire ici. Merci{$comment_add.CONTENT}</textarea></label>
+		<legend>{'Add a comment'|@translate}</legend>
+
+		  {if $comment_add.SHOW_AUTHOR}
+		    <span>
+			  <label id="commentateur">
+			    {'upload author'|@translate}
+			    <input type="text" name="author">
+			    <input type="submit" value="{'Submit comment'|@translate}">
+		      </label>
+			<span>
+		  {else}
+		    <span>
+			  <label id="commentateur"><input type="submit" value="{'Submit comment'|@translate}"></label>
+			</span>
+		  {/if}
+		<input type="hidden" name="key" value="{$comment_add.KEY}">
+	</fieldset>
+	</form>
+	{/if}
+</div>
+{/if}{*comments*}
+
+{if !empty($PLUGIN_PICTURE_AFTER)}{$PLUGIN_PICTURE_AFTER}{/if}
Index: extensions/sobre/trunk/theme.css
===================================================================
--- extensions/sobre/trunk/theme.css	(revision 10318)
+++ extensions/sobre/trunk/theme.css	(revision 10318)
@@ -0,0 +1,638 @@
+@import "slider.css";
+#box {
+margin-left:125px !important;
+width:550px !important;
+height:auto !important;
+left:auto !important;
+top:12% !important
+}
+
+#comments {
+width:910px;
+background-color:#505050;
+border-width:0;
+margin:0 auto;
+padding:5px 5px 13px
+}
+
+#comments SPAN.author {
+font-weight:700
+}
+
+#comments blockquote {
+padding-left:5px;
+font-style:italic;
+border-color:#000;
+border-style:solid;
+border-width:0 0 0 2px
+}
+
+#comments div.thumbnailCategory div.illustration {
+width:255px
+}
+
+#comments fieldset {
+width:910px;
+background-color:#F0F0F0;
+color:#000;
+margin:auto;
+padding:0
+}
+
+#comments fieldset legend {
+margin-left:10px;
+background:#F0F0F0
+}
+
+#comments h3 {
+margin:14px -5px;
+padding:0 7px
+}
+
+#comments table tbody tr td select {
+width:95px
+}
+
+#content UL.thumbnails SPAN.thumbLegend {
+display:block;
+height:5em
+}
+
+#copyright a {
+color:#F70
+}
+
+#copyright,.Online a,table#ppppp {
+color:#000
+}
+
+#imageHeaderBar {
+background-image:url(images/tableh2_bg.png);
+background-repeat:repeat-x;
+background-position:center;
+background: -moz-linear-gradient(top, #393737 0%, #FFF7F7 4%, #393737 40%, #393737 100%); /* firefox */
+
+border-top:1px solid #000
+}
+
+#imageHeaderBar H2 {
+background-image:none;
+background-color:transparent;
+border:none
+}
+
+#imageToolBar {
+background-color:#505050
+}
+
+#linkPrev,#linkNext,#menubar li span.bullet,div#menubar dd,div#menubar ul ul,div#menubar ul li:hover ul ul,div#menubar ul ul li:hover ul ul,div#menubar ul ul ul li:hover ul ul,div#menubar ul ul ul ul li:hover ul ul,dl#mbFBP_activity_feed,dl#mbFBP_like_box {
+display:none
+}
+
+#menubar {
+height:2.1em;
+position:relative;
+width:980px;
+z-index:2;
+padding-bottom:25px;
+display:block;
+float:none;
+margin:-2px auto 3px
+}
+
+#menubar #menuTagCloud a {
+display:inline;
+border:none
+}
+
+#menubar #menuTagCloud span {
+display:inline-block;
+text-align:left;
+margin:5px;
+padding:0
+}
+
+#menubar .button {
+border:medium none;
+float:right;
+left:95%;
+list-style-image:none;
+list-style-position:outside;
+list-style-type:none;
+position:absolute;
+text-align:center;
+text-indent:0;
+width:auto;
+margin:-2px 2px 2px;
+padding:0
+}
+
+#menubar a,#menubar dt a,#menubar dd a {
+border:0;
+color:#fff;
+display:block;
+text-decoration:none
+}
+
+#menubar a:hover,#menubar dt:hover {
+color:#fff
+}
+
+#menubar dd {
+background:#333;
+border:1px solid #8c8c8c;
+position:absolute;
+text-align:left;
+z-index:500;
+margin-top:-5px;
+width:25%
+}
+
+#menubar dd a {
+border:1px solid #3F3F3F;
+padding:0.5em
+}
+
+#menubar dd a:hover {
+background-color:#333;
+border:1px solid #8c8c8c;
+color:#FFF;
+font-style:italic
+}
+
+#menubar dd ul ul {
+background-color:#fff;
+border:1px solid #8c8c8c;
+left:100%;
+position:absolute;
+top:0;
+z-index:500
+}
+
+#menubar dl {
+display:inline;
+height:25px;
+text-align:center;
+width:25%
+}
+
+#menubar dl dd p {
+margin:0;
+padding:0 0 10px
+}
+
+#menubar dt {
+background-image:url("images/tableh1_bg.png");
+background: -moz-linear-gradient(top, #393737 0%, #FFF7F7 4%, #393737 40%, #393737 100%); /* firefox */
+border:0;
+color:#fff48e
+}
+
+#menubar img.button {
+margin-right:17px;
+display:none
+}
+
+#menubar li {
+position:relative
+}
+
+#menubar li a {
+background:#3f3f3f none repeat scroll 0 0
+}
+
+#menubar li span {
+right:7px
+}
+
+#menubar li span,#menubar li IMG {
+padding-left:4px;
+position:absolute;
+top:7px
+}
+
+#menubar li:hover {
+background:#3f3f3f
+}
+
+#menubar p,#menubar p.totalimages,#menubar p,#menubar p.totalimages,form#quickconnect {
+clear:both;
+text-align:center;
+margin:0;
+padding:0.2em
+}
+
+#menubar ul {
+width:20em
+}
+
+#menubar ul li a {
+margin-left:25px;
+padding-right:3em
+}
+
+#menubar ul,#menubar dl,#menubar ul#menuTagCloud {
+float:left;
+list-style:none;
+margin:0;
+padding:0
+}
+
+#menubar ul,#menubar li {
+background:#333 none repeat scroll 0 0
+}
+
+#menubar ul.rvTree ul {
+padding-left:0 !important
+}
+
+#outils {
+padding-top:17px
+}
+
+#scrolltotop {
+bottom:14px;
+position:fixed;
+right:0;
+z-index:1000;
+outline:none
+}
+
+#scrolltotop a {
+background-color:transparent;
+background-image:url("images/top.gif");
+background-position:left top;
+background-repeat:no-repeat;
+display:block;
+height:50px;
+text-indent:-9999px;
+width:44px
+}
+
+#scrolltotop a:hover {
+border-bottom:none
+}
+
+#menubar a,#menubar dt,div#menubar dl:hover dd,div#menubar ul li:hover ul,div#menubar ul ul li:hover ul,div#menubar ul ul ul li:hover ul,div#menubar ul ul ul ul li:hover ul,div#menubar ul ul ul ul ul li:hover ul {
+display:block
+}
+
+#theCategoryPage .content {
+margin-left:0
+}
+
+#theHeader {
+background:transparent url("../../themes/sobre/images/header.png") no-repeat center bottom;
+height:144px;
+margin:0 auto
+}
+
+#theHeader H1,form.filter input[type="submit"],form fieldset p {
+margin-top:0
+}
+
+#theHeader p {
+margin-top:72px
+}
+
+#theImage #map {
+height:600px;
+min-height:512px;
+position:relative;
+background-color:#e5e3df;
+left:290px;
+right:-290px;
+margin-right:290px
+}
+
+#theImage #mapPicture {
+width:280px
+}
+
+#theImage .ecard {
+text-align:left
+}
+
+#theImage img {
+margin-top:10px
+}
+
+#theImage p {
+color:#000;
+font-style:italic;
+position:relative;
+width:800px;
+margin:10px auto auto
+}
+
+#theImage table {
+background-color:#D3D3D3;
+border:1px solid #000;
+width:800px;
+margin:10px auto 0
+}
+
+#thePicturePage {
+border:1px solid #FFF
+}
+
+#thePicturePage form.filter fieldset ul,#thePicturePage form.filter fieldset label {
+float:none;
+margin-right:0;
+padding:0
+}
+
+.Online {
+font-size:11px;
+color:#444
+}
+
+.content {
+border:1px solid #252525;
+margin:0
+}
+
+.content #comments ul.thumbnailCategories li {
+width:49.9%
+}
+
+.content DIV.thumbnailCategory DIV.description {
+padding-left:0
+}
+
+.content UL.thumbnails SPAN.wrap2 {
+border:1px solid #aaa
+}
+
+.content UL.thumbnails SPAN.wrap2:hover,.content UL.thumbnailCategories DIV.thumbnailCategory:hover,.content UL.thumbnailCategories DIV.thumbnailCategory:hover A {
+background-color:#faebd7;
+color:#000;
+border-color:#FF0
+}
+
+.content div.thumbnailCategory {
+height:200px
+}
+
+.content div.thumbnailCategory div.description .text {
+text-align:justify;
+padding-right:5px;
+height:110px
+}
+
+.content div.thumbnailCategory div.description div.text p {
+font-family:Trebuchet MS;
+color:#996060
+}
+
+.content div.thumbnailCategory div.description div.text p.Nb_images {
+border-top:1px solid gray;
+color:#FF9960;
+font-style:italic;
+text-align:center
+}
+
+.content div.thumbnailCategory div.description h3 {
+font-weight:700;
+text-align:center
+}
+
+.content div.thumbnailCategory div.illustration {
+text-align:center;
+width:170px;
+margin:19px 2px 2px
+}
+
+.content ul.categoryActions img {
+margin:2px 0 0
+}
+
+.content ul.thumbnailCategories {
+width:99%;
+padding-left:4px
+}
+
+.content ul.thumbnails span,.content ul.thumbnails span.wrap2 a,.content ul.thumbnails label {
+width:170px
+}
+
+.content ul.thumbnails span.thumbLegend img {
+position:relative;
+top:-3px
+}
+
+.content ul.thumbnails span.thumbLegend,.content div.thumbnailCategory div.description {
+height:100%
+}
+
+.content ul.thumbnails span.wrap2,.content div.thumbnailCategory div.description {
+height:170px
+}
+
+.content,#imageToolBar,.header_notes {
+background-color:#000
+}
+
+.ecard {
+color:#EFEFEF
+}
+
+.ecard FORM {
+width:0 !important
+}
+
+.ecard TABLE {
+width:550px !important;
+background-color:#000 !important;
+border:none !important;
+margin:0 !important
+}
+
+.ecard p {
+width:550px !important
+}
+
+.ecard p STRONG,.ecard STRONG {
+color:#FFF
+}
+
+.stuffs_block {
+font-family:Comic Sans MS
+}
+
+.tagLetter table.tagLetterContent {
+font-size:100%
+}
+
+A,INPUT.rateButton {
+color:#fff;
+border:none
+}
+
+A:hover {
+color:#FFF48E
+}
+
+BODY {
+/* background:#393737 url(images/background-0.png) repeat-x top */
+background: #393737; /* old browsers */
+background: -moz-linear-gradient(top, #393737 0%, #393737 150px, #EAEAEA 900px, #EAEAEA 50%, #393737 90%); /* firefox */
+}
+
+BODY,H1,H3,INPUT.rateButtonSelected {
+color:#d0d0d0
+}
+
+H3,#imageBar,#imageToolBar A:hover {
+background:#393737
+}
+
+FIELDSET,INPUT,SELECT,TEXTAREA,.content DIV.thumbnailCategory {
+border:1px solid gray
+}
+
+H2 {
+background-image:url(images/tableh1_bg.png);
+background: -moz-linear-gradient(top, #393737 0%, #FFF7F7 4%, #393737 40%, #393737 100%); /* firefox */
+color:#fff48e
+}
+
+H2,#imageToolBar {
+border-bottom:1px solid #000
+}
+
+H2,#menubar DT {
+color:#fff48e
+}
+
+TABLE.infoTable {
+width:920px;
+background:#505050;
+border:solid 1px;
+margin-top:6px
+}
+
+TABLE.infoTable .label {
+background-color:#2F0000;
+font-weight:700;
+text-align:left;
+padding-right:0.5em;
+padding-left:3px;
+width:100px
+}
+
+TABLE.infoTable .value {
+max-width:320px
+}
+
+TABLE.infoTable .value p {
+width:320px;
+margin:0
+}
+
+TABLE.infoTable .value p a,input.rateButton {
+color:#F70;
+border-width:0
+}
+
+body {
+max-width:1190px;
+min-width:980px;
+margin:0 auto
+}
+
+body#theadminpage #menubar {
+border:none;
+display:block;
+float:none;
+width:898px;
+margin:5px auto
+}
+
+form#quickconnect .button {
+left:50px;
+position:relative;
+top:-20px
+}
+
+form#quickconnect fieldset {
+padding-top:5px;
+text-align:left;
+width:19em
+}
+
+form#quickconnect label {
+clear:left
+}
+
+form#quickconnect label input {
+font-size:1em
+}
+
+form#quickconnect p,form#quickconnect a {
+border:none;
+padding:0
+}
+
+form#quicksearch {
+border-bottom:1px solid #000;
+padding:0 0 0 15px
+}
+
+form.filter fieldset ul,form.filter fieldset label {
+padding-top:5px;
+padding-left:5px
+}
+
+h2 {
+font-family:Mon-menu;
+font-size:18px;
+font-style:italic;
+font-weight:400
+}
+
+iframe.fb_ltr {
+margin-left:0 !important;
+margin-right:0 !important;
+width:auto !important
+}
+
+table.commentr {
+margin-top:-20px;
+margin-bottom:-10px
+}
+
+table.commentr td.center {
+height:138px
+}
+
+ul.categoryActions li.SortOrder {
+margin-top:5px;
+float:left
+}
+
+ul.tagSelection li {
+float:left;
+width:150px;
+overflow:hidden
+}
+
+ul.tagSelection {
+width:100%
+}
+
+TABLE.infoTable .label,TABLE.infoTable2 .label{background-color:#2F0000;font-weight:700;text-align:left;padding-right:0.5em;padding-left:3px;width:100px}
+TABLE.infoTable .value p a,input.rateButton,TABLE.infoTable2 .value p a,input.rateButton{color:#F70;border-width:0}
+TABLE.infoTable .value p,TABLE.infoTable2 .value p{width:320px;margin:0}
+TABLE.infoTable .value,TABLE.infoTable2 .value{max-width:320px}
+TABLE.infoTable,TABLE.infoTable2{width:920px;background:#505050;border:solid 1px;margin-top:6px}
+
+#imageHeaderBar .imageNumber{margin:11px 0 0}
+
+#scrolltotop {
+  opacity:0;
+}
+
+#filter {
+  opacity: 1 !important;
+}
Index: extensions/sobre/trunk/themeconf.inc.php
===================================================================
--- extensions/sobre/trunk/themeconf.inc.php	(revision 10318)
+++ extensions/sobre/trunk/themeconf.inc.php	(revision 10318)
@@ -0,0 +1,121 @@
+<?php
+
+/*
+Theme Name: Sobre
+Version: auto
+Description: Black and white theme, based on Yoga/dark.
+Theme URI: http://fr.piwigo.org/ext/extension_view.php?eid=375
+Author: Gotcha
+Author URI: http://www.julien-moreau.fr
+*/
+
+$themeconf = array(
+  'parent' 		=> 'default',
+  'name'  		=> 'Sobre',
+  'local_head'  => 'local_head.tpl',
+);
+
+/* Exemple pour les $conf sérialisés */
+/*
+$conf['picture_informations'] = unserialize($conf['picture_informations']);
+$conf['picture_informations']['author'] = false;
+$conf['picture_informations'] = serialize($conf['picture_informations']);
+*/
+
+/* Language */
+load_language('theme.lang', PHPWG_THEMES_PATH.'sobre/');
+
+add_event_handler('loc_begin_page_header', 'set_sbre_header');
+function set_sbre_header()
+{
+  global $page, $conf, $template;
+  $config = unserialize($conf['Sobre']);
+  if (isset($page['body_id']) and $page['body_id'] == 'theCategoryPage')
+  {
+    $header = isset($page['category']) ? $config['categories'] : $config['home'];
+  }
+  elseif (isset($page['body_id']) and $page['body_id'] == 'thePicturePage')
+  {
+    $header = $config['picture'];
+  }
+  else
+  {
+    $header = $config['other'];
+  }
+  $template->assign('display_sbre_banner', $header);
+}
+
+/* Ajout d'une icône RSS à la suite du champs "Notifications" dans le menu "Menu" (menubar) */
+add_event_handler('blockmanager_prepare_display', 'add_rss_icon');
+function add_rss_icon()
+{
+global $lang;
+  if (isset($lang['Notification'])) {
+    $lang['Notification'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
+  }
+  if (isset($lang['Notification RSS'])) {
+    $lang['Notification RSS'] .= '<img src="./themes/sobre/images/rss.png" style="float:right; margin-right:10px; position:inherit;" class="button_rss" alt="flux-rss"/>';
+  }
+}
+
+/* coa_albums.tpl */
+
+/* Mise en tableau des commentaires (ajout) */
+$this->set_prefilter('comments_on_albums', 'Addon_picture_Pendings_05');
+function Addon_picture_Pendings_05($content, &$smarty)
+{
+$pattern = '#<form method="post"(.*){/if}{\*comments\*}#ms';
+$replacement = '
+<form method="post" action="{$comment_add.F_ACTION}" class="filter" id="addComment">
+	<fieldset>
+		<label><textarea name="content" id="contentid" rows="5" cols="62" onFocus="if(this.value==\'Votre commentaire ici. Merci\')this.value=\'\'">Votre commentaire ici. Merci{$comment_add.CONTENT}</textarea></label>
+		<legend>{\'Add a comment\'|@translate}</legend>
+
+		  {if $comment_add.SHOW_AUTHOR}
+		    <span>
+			  <label id="commentateur">
+			    {\'upload author\'|@translate}
+			    <input type="text" name="author">
+			    <input type="submit" value="{\'Submit comment\'|@translate}">
+		      </label>
+			<span>
+		  {else}
+		    <span>
+			  <label id="commentateur"><input type="submit" value="{\'Submit comment\'|@translate}"></label>
+			</span>
+		  {/if}
+		<input type="hidden" name="key" value="{$comment_add.KEY}">
+	</fieldset>
+	</form>
+	{/if}
+</div>
+{/if}{*comments*}
+';
+return preg_replace($pattern, $replacement, $content);
+}
+
+/* picture_content.tpl */
+
+/* Suppression de la phrase "HD" sous la photo */
+/* Penser à supprimer la phrase aussi dans LLGBO fichier : picture_content.tpl */
+$this->set_prefilter('default_content', 'Addon_picture_content_Pendings_HD');
+function Addon_picture_content_Pendings_HD($content, &$smarty)
+{
+$pattern = '#<p>{\'Click on the photo to see it in high definition\'|@translate}</p>#';
+$replacement = '';
+return preg_replace($pattern, $replacement, $content);
+}
+
+/* comment_list.tpl & stuffs_comment_list.tpl */
+
+/* Petit formatage*/
+$this->set_prefilter('comments', 'Addon_comments_Pendings_text');
+$this->set_prefilter('stuffs', 'Addon_comments_Pendings_text');
+function Addon_comments_Pendings_text($content, &$smarty)
+{
+$pattern = '<span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>';
+$replacement = '<span class="author">{$comment.AUTHOR}</span><span class="date"> - {$comment.DATE}</span>';
+return str_replace($pattern, $replacement, $content);
+}
+
+?>
